Bug 818629 - Review Request: rubygem-delayed_job_active_record - ActiveRecord back-end for DelayedJob
Review Request: rubygem-delayed_job_active_record - ActiveRecord back-end for...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Su
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-03 11:14 EDT by Vít Ondruch
Modified: 2012-12-11 10:21 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-11 10:21:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jstribny: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Vít Ondruch 2012-05-03 11:14:25 EDT
Spec URL: http://people.redhat.com/vondruch/rubygem-delayed_job_active_record.spec
SRPM URL: http://people.redhat.com/vondruch/rubygem-delayed_job_active_record-0.3.2-1.fc18.src.rpm
Description: ActiveRecord back-end for DelayedJob, originally authored by Tobias Luetke

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4050135
Comment 1 Josef Stribny 2012-10-16 12:24:50 EDT
Hi,

1, rpmlint gives me no errors on .spec file and src.rpm:

`0 packages and 1 specfiles checked; 0 errors, 0 warnings.`
`1 packages and 0 specfiles checked; 0 errors, 0 warnings.`

2, The version of the gem in the spec file is 0.3.2, but 0.3.3 is already out: 

`gem fetch delayed_job_active_record`
`Fetching: delayed_job_active_record-0.3.3.gem (100%)`

It's recommended to always build for the latest upstream release if available.

3, Running:

`mock -r fedora-rawhide-x86_64 rubygem-delayed_job_active_record-0.3.2-1.fc19.src.rpm` raises an exception, in the build.log I found a failing test:
```
+ rspec spec
DEPRECATION WARNING: Calling set_primary_key is deprecated. Please use `self.primary_key = 'the_name'` instead. (called from <class:Story> at /builddir/build/BUILD/rubygem-delayed_job_active_record-0.3.2/usr/share/gems/gems/delayed_job_active_record-0.3.2/spec/spec_helper.rb:43)
............................................................F................
Failures:
  1) Delayed::Backend::ActiveRecord::Job it should behave like a delayed_job backend worker integration failed jobs should re-schedule jobs after failing
     Failure/Error: @job.attempts.should == 1
       expected: 1
```

This also happens when building using mock for fedora-18-x86_64.
Comment 2 Vít Ondruch 2012-10-17 10:00:15 EDT
Thank you for looking into this package. Here is its updated version:

Spec URL: http://people.redhat.com/vondruch/rubygem-delayed_job_active_record.spec
SRPM URL: http://people.redhat.com/vondruch/rubygem-delayed_job_active_record-0.3.3-1.fc19.src.rpm



(In reply to comment #1)
> 2, The version of the gem in the spec file is 0.3.2, but 0.3.3 is already
> out: 
> 
> `gem fetch delayed_job_active_record`
> `Fetching: delayed_job_active_record-0.3.3.gem (100%)`
> 
> It's recommended to always build for the latest upstream release if
> available.

Yes, the .spec file was laying around for some time. I updated it to the latest version.

> 3, Running:
> 
> `mock -r fedora-rawhide-x86_64
> rubygem-delayed_job_active_record-0.3.2-1.fc19.src.rpm` raises an exception,
> in the build.log I found a failing test:
> ```
> + rspec spec
> DEPRECATION WARNING: Calling set_primary_key is deprecated. Please use
> `self.primary_key = 'the_name'` instead. (called from <class:Story> at
> /builddir/build/BUILD/rubygem-delayed_job_active_record-0.3.2/usr/share/gems/
> gems/delayed_job_active_record-0.3.2/spec/spec_helper.rb:43)
> ............................................................F................
> Failures:
>   1) Delayed::Backend::ActiveRecord::Job it should behave like a delayed_job
> backend worker integration failed jobs should re-schedule jobs after failing
>      Failure/Error: @job.attempts.should == 1
>        expected: 1
> ```
> 
> This also happens when building using mock for fedora-18-x86_64.

Weird. You can see from the attached Koji link that the test suite used to pass. However, it was probably against Rails 3.0 at that time. I was not able to locate the issue, so I have reported it upstream: https://github.com/collectiveidea/delayed_job_active_record/issues/24
Comment 3 Josef Stribny 2012-12-10 11:23:27 EST
Seems like that upstream is not doing anything about the issue for the time being. The package is otherwise okay => APPROVED.
Comment 4 Gwyn Ciesla 2012-12-10 14:38:29 EST
No SCM request found in bug 818629.
Comment 5 Vít Ondruch 2012-12-11 03:34:03 EST
Thank you for your review!



New Package SCM Request
=======================
Package Name: rubygem-delayed_job_active_record
Short Description: ActiveRecord back-end for DelayedJob
Owners: vondruch
Branches: 
InitialCC:
Comment 6 Gwyn Ciesla 2012-12-11 08:11:25 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.